Package org.apache.synapse.transport.nhttp

# Class HttpCoreNIOMultiSSLListener

java.lang.Object
org.apache.synapse.transport.nhttp.HttpCoreNIOListener
org.apache.synapse.transport.nhttp.HttpCoreNIOMultiSSLListener

All Implemented Interfaces:
  `org.apache.axis2.transport.base.ManagementSupport`, `org.apache.axis2.transport.TransportListener`, `SSLProfileLoader`

public class HttpCoreNIOMultiSSLListener extends HttpCoreNIOListener implements SSLProfileLoader

- ## Field Summary

  ### Fields inherited from class org.apache.synapse.transport.nhttp.HttpCoreNIOListener

  `ACTIVE_CONNECTION_MONITOR_DELAY`

  ### Fields inherited from interface org.apache.axis2.transport.TransportListener

  `HOST_ADDRESS, PARAM_PORT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpCoreNIOMultiSSLListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `init(org.apache.axis2.context.ConfigurationContext ctx, org.apache.axis2.description.TransportInDescription transportIn)`
  Initialize the transport listener, and execute reactor in new separate thread
  `protected ServerConnFactoryBuilder`
  `initConnFactoryBuilder(org.apache.axis2.description.TransportInDescription transportIn, org.apache.http.HttpHost host, org.apache.axis2.context.ConfigurationContext configurationContext)`
  `protected Scheme`
  `initScheme()`
  `void`
  `reloadConfig(org.apache.axis2.description.ParameterInclude transport)`
  Reload SSL profiles and reset connections in HttpCoreNIOMultiSSLListener

  ### Methods inherited from class org.apache.synapse.transport.nhttp.HttpCoreNIOListener

  `destroy, getActiveConnectionsSize, getActiveThreadCount, getAvgSizeReceived, getAvgSizeSent, getBytesReceived, getBytesSent, getEPRForService, getEPRsForService, getFaultsReceiving, getFaultsSending, getLastResetTime, getMaxSizeReceived, getMaxSizeSent, getMessagesReceived, getMessagesSent, getMetricsWindow, getMinSizeReceived, getMinSizeSent, getQueueSize, getResponseCodeTable, getServiceEPRPrefix, getServiceEPRPrefix, getSessionContext, getTimeoutsReceiving, getTimeoutsSending, initConnFactoryBuilder, maintenenceShutdown, pause, reload, reloadDynamicSSLConfig, reloadSpecificEndpoints, resetStatistics, resume, start, stop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HttpCoreNIOMultiSSLListener

    public HttpCoreNIOMultiSSLListener()

- ## Method Details

  - ### init

    public void init(org.apache.axis2.context.ConfigurationContext ctx, org.apache.axis2.description.TransportInDescription transportIn) throws org.apache.axis2.AxisFault
    Description copied from class: `HttpCoreNIOListener`
    Initialize the transport listener, and execute reactor in new separate thread
    Specified by:
      `init` in interface `org.apache.axis2.transport.TransportListener`
    Overrides:
      `init` in class `HttpCoreNIOListener`
    Parameters:
      `transportIn` - the description of the http/s transport from Axis2 configuration
    Throws:
      `org.apache.axis2.AxisFault` - on error

  - ### initScheme

    protected Scheme initScheme()
    Overrides:
      `initScheme` in class `HttpCoreNIOListener`

  - ### initConnFactoryBuilder

    protected ServerConnFactoryBuilder initConnFactoryBuilder(org.apache.axis2.description.TransportInDescription transportIn, org.apache.http.HttpHost host, org.apache.axis2.context.ConfigurationContext configurationContext) throws org.apache.axis2.AxisFault
    Overrides:
      `initConnFactoryBuilder` in class `HttpCoreNIOListener`
    Throws:
      `org.apache.axis2.AxisFault`

  - ### reloadConfig

    public void reloadConfig(org.apache.axis2.description.ParameterInclude transport) throws org.apache.axis2.AxisFault
    Reload SSL profiles and reset connections in HttpCoreNIOMultiSSLListener
    Specified by:
      `reloadConfig` in interface `SSLProfileLoader`
    Parameters:
      `transport` - TransportInDescription of the configuration
    Throws:
      `org.apache.axis2.AxisFault`